Bug 287431 - Review Request: kbarcode - A barcode and label printing application for KDE
Review Request: kbarcode - A barcode and label printing application for KDE
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 06:19 EDT by kushaldas@gmail.com
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 09:13:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified SPEC (2.71 KB, text/x-rpm-spec)
2007-09-13 06:45 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description kushaldas@gmail.com 2007-09-12 06:19:37 EDT
Spec URL: http://kushal.fedorapeople.org/kbarcode.spec
SRPM URL: http://kushal.fedorapeople.org/kbarcode-2.0.5-1.fc7.src.rpm
Description: KBarcode is a barcode and label printing application for Linux and KDE 3. It can be used to print every thing from simple business cards up to complex labels with several barcodes (e.g. article descriptions). KBarcode comes with an easy to use WYSIWYG label designer, a setup wizard, batch import of labels (directly from the delivery note), thousands of predefined labels, database managment tools and translations in many languages. Even printing more than 10.000 labels in one go is no problem for KBarcode. Additionally it is a simply xbarcode replacement for the creation of barcodes. All major types of barcodes like EAN, UPC, CODE39 and ISBN are supported.
Comment 1 Parag AN(पराग) 2007-09-12 06:45:51 EDT
I like to review this package :)
Comment 2 Parag AN(पराग) 2007-09-12 06:52:48 EDT
missing BR: pcre-devel
Comment 3 kushaldas@gmail.com 2007-09-12 07:08:27 EDT
Fixed. Check it again
Spec URL: http://kushal.fedorapeople.org/kbarcode.spec
SRPM URL: http://kushal.fedorapeople.org/kbarcode-2.0.5-2.fc7.src.rpm
Comment 4 Parag AN(पराग) 2007-09-12 08:40:01 EDT
mock build gave me error as
 desktop-file-install --vendor= --dir
/var/tmp/kbarcode-2.0.5-2.fc8-root-mockbuild/usr/share/applications/kde
--add-category Application --add-category Utility --add-category
X-KDE-Utilities-File --add-category X-Fedora kbarcode/kbarcode-label.desktop
kbarcode/kbarcode-label.desktop: key "MimeType" is a list and does not have a
semicolon as trailing character, fixing
/var/tmp/kbarcode-2.0.5-2.fc8-root-mockbuild/usr/share/applications/kde/kbarcode-label.desktop:
error: key "MimeType" is present in group "Desktop Entry", but the type is
"MimeType" while this key is only valid for type "Application"
/var/tmp/kbarcode-2.0.5-2.fc8-root-mockbuild/usr/share/applications/kde/kbarcode-label.desktop:
error: key "Categories" is present in group "Desktop Entry", but the type is
"MimeType" while this key is only valid for type "Application"
desktop-file-install created an invalid desktop file!

===>
drop following lines used while installing desktop files
  --add-category "Application" \
  --add-category "X-KDE-Utilities-File" \
  --add-category "X-Fedora" \

For more information check
http://fedoraproject.org/wiki/PackagingDrafts/DesktopFiles
and
http://standards.freedesktop.org/menu-spec/latest/apa.html

Comment 5 kushaldas@gmail.com 2007-09-12 09:25:48 EDT
Desktop file install fixed

Spec URL: http://kushal.fedorapeople.org/kbarcode.spec
SRPM URL: http://kushal.fedorapeople.org/kbarcode-2.0.5-3.fc7.src.rpm

Comment 6 kushaldas@gmail.com 2007-09-12 09:32:45 EDT
Not fixed. I will update it soon
Comment 7 kushaldas@gmail.com 2007-09-13 00:36:36 EDT
Hopefully fixed :)

Spec URL: http://kushal.fedorapeople.org/kbarcode.spec
SRPM URL: http://kushal.fedorapeople.org/kbarcode-2.0.5-4.fc7.src.rpm

Comment 8 Parag AN(पराग) 2007-09-13 01:46:46 EDT
Best way to check whether desktop files got written correctly or not, use
desktop-file-validate command on those 5 desktop files.

$ desktop-file-validate kbarcode-batch.desktop 
kbarcode-batch.desktop: warning: key "Encoding" in group "Desktop Entry" is
deprecated
kbarcode-batch.desktop: warning: key "DocPath" in group "Desktop Entry" is a
reserved key for KDE

$ desktop-file-validate kbarcode-editor.desktop 
kbarcode-editor.desktop: warning: key "Encoding" in group "Desktop Entry" is
deprecated
kbarcode-editor.desktop: warning: key "DocPath" in group "Desktop Entry" is a
reserved key for KDE

$ desktop-file-validate kbarcode-label.desktop 
kbarcode-label.desktop: warning: value "MimeType" for key "Type" in group
"Desktop Entry" is deprecated
kbarcode-label.desktop: warning: key "Encoding" in group "Desktop Entry" is
deprecated
kbarcode-label.desktop: error: value "application/kbarcode-label" for string
list key "MimeType" in group "Desktop Entry" does not have a semicolon (';') as
trailing character
kbarcode-label.desktop: error: key "Name[de]" in group "Desktop Entry" is a
localized key, but there is no non-localized key "Name"
kbarcode-label.desktop: warning: key "Patterns" in group "Desktop Entry" is
deprecated
kbarcode-label.desktop: error: required key "Name" in group "Desktop Entry" is
not present

$ desktop-file-validate kbarcode-single.desktop 
kbarcode-single.desktop: warning: key "Encoding" in group "Desktop Entry" is
deprecated
kbarcode-single.desktop: warning: key "DocPath" in group "Desktop Entry" is a
reserved key for KDE
kbarcode-single.desktop: warning: boolean key "Terminal" in group "Desktop
Entry" has value "0", which is deprecated: boolean values should be "false" or
"true"

$ desktop-file-validate kbarcode.desktop 
kbarcode.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
kbarcode.desktop: warning: value "kbarcode -caption "%c" %i %m %f" for key
"Exec" in group "Desktop Entry" contains a deprecated field code "%m"
kbarcode.desktop: error: value "application/kbarcode-label" for string list key
"MimeType" in group "Desktop Entry" does not have a semicolon (';') as trailing
character
kbarcode.desktop: warning: key "DocPath" in group "Desktop Entry" is a reserved
key for KDE
kbarcode.desktop: warning: boolean key "Terminal" in group "Desktop Entry" has
value "0", which is deprecated: boolean values should be "false" or "true"



You can see that still kbarcode-label.desktop and kbarcode.dekstop is having
problem.
Comment 9 kushaldas@gmail.com 2007-09-13 02:04:44 EDT
These desktop files are killing me :(
Comment 10 Parag AN(पराग) 2007-09-13 02:58:16 EDT
1) I just removed your patch and modified both desktop files as
kbarcode-label.desktop
[Desktop Entry]
Type=Application
Comment=KBarcode Label
Encoding=UTF-8
Icon=kbarcode
MimeType=application/kbarcode-label;
Name=kbarcode-label.desktop

kbarcode.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=kbarcode -caption "%c" %i %m %f
Icon=kbarcode.png
MimeType=application/kbarcode-label;
DocPath=kbarcode/index.html
Comment=Barcode and label printing tool
Comment[de]=Werkzeug zum Barcode und Etiketten Druck
Terminal=0
Name=KBarcode
Name[de]=KBarcode
Categories=Qt;KDE;Office;

and mock build went fine.
Also, you would like to check
http://standards.freedesktop.org/desktop-entry-spec/latest/apc.html

2) /usr/share/apps/kbarcode is not owned by this package
3) Good to add scriptlets
%post
touch --no-create %{_datadir}/icons/hicolor
%postun
touch --no-create %{_datadir}/icons/hicolor

Comment 11 Parag AN(पराग) 2007-09-13 03:04:21 EDT
Oops. No desktop files got installed other than kfile_kbarcode.desktop? No Exec
is present in kfile_kbarcode.desktop.
why following line is present in SPEC
rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/kde/*.desktop
Comment 12 Parag AN(पराग) 2007-09-13 06:45:24 EDT
Created attachment 194481 [details]
Modified SPEC

Hey I did some work for you :)
Test attached SPEC. Add changelog.
Comment 13 Parag AN(पराग) 2007-09-18 21:45:45 EDT
ping?
Comment 14 Parag AN(पराग) 2007-10-18 01:52:30 EDT
Kushal,
   Can you update package if you are feeling ok now?
Comment 15 Parag AN(पराग) 2007-11-14 01:19:12 EST
I guess if no updates will be provided within a week then any other person who
is ready to take over this submission can do that. Or else need to CLOSE this as
NOTABUG.
Comment 16 kushaldas@gmail.com 2007-12-09 10:57:31 EST
Sorry, but I went home for an operation on shoulder. And there was no net
connection. I will update it within next 2 days.
Comment 17 Frank Büttner 2007-12-15 07:24:17 EST
Do you plan to release it also as EPEL 5??
Comment 18 Parag AN(पराग) 2007-12-18 09:13:15 EST
For time being CLOSING this review. When you will get some updates that will
resolve above issues reopen this review and then will review this.

Note You need to log in before you can comment on or make changes to this bug.